/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 *
 */
package org.xwiki.eclipse.ui.actions;

import org.eclipse.jface.action.IMenuManager;
import org.eclipse.jface.viewers.ISelectionProvider;
import org.eclipse.jface.window.IShellProvider;
import org.eclipse.swt.widgets.Display;
import org.eclipse.swt.widgets.Shell;
import org.eclipse.ui.IActionBars;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.actions.ActionContext;
import org.eclipse.ui.actions.ActionFactory;
import org.eclipse.ui.dialogs.PropertyDialogAction;
import org.eclipse.ui.navigator.CommonActionProvider;
import org.eclipse.ui.navigator.ICommonActionExtensionSite;
import org.eclipse.ui.navigator.ICommonMenuConstants;
import org.eclipse.ui.texteditor.IWorkbenchActionDefinitionIds;

/**
 * @version $Id: d70a7177a4e335bfb4f792e4ba8b129343e00717 $
 */
public class PropertyActionProvider
{
    private PropertyDialogAction propertiesAction;

    private ISelectionProvider selectionProvider;

    public PropertyActionProvider(ISelectionProvider selectionProvider)
    {
        this.selectionProvider = selectionProvider;

        propertiesAction = new PropertyDialogAction(new IShellProvider()
        {
            public Shell getShell()
            {
                return Display.getDefault().getActiveShell();
            }
        }, selectionProvider);

        propertiesAction.setActionDefinitionId(IWorkbenchActionDefinitionIds.PROPERTIES);
    }

    public void fillContextMenu(IMenuManager menu)
    {
        menu.add(propertiesAction);
    }
}
