/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 *
 */
package org.xwiki.eclipse.ui.actions;

import org.eclipse.jface.action.IMenuManager;
import org.eclipse.swt.SWT;
import org.eclipse.ui.PlatformUI;
import org.eclipse.ui.menus.CommandContributionItem;
import org.eclipse.ui.menus.CommandContributionItemParameter;
import org.eclipse.ui.navigator.CommonActionProvider;
import org.eclipse.ui.navigator.ICommonActionExtensionSite;
import org.eclipse.ui.navigator.ICommonMenuConstants;
import org.xwiki.eclipse.ui.UIConstants;

/**
 * @version $Id: 5d72e6874f589b2dfdfcbd22d9e1fb85fbf86bab $
 */
public class RefreshActionProvider
{
    private CommandContributionItem refresh;

    public RefreshActionProvider()
    {
        /* This is the preferred way for creating a command contribution item in Eclipse 3.4 */
        CommandContributionItemParameter contributionItemParameter =
            new CommandContributionItemParameter(PlatformUI.getWorkbench(), UIConstants.REFRESH_COMMAND,
                UIConstants.REFRESH_COMMAND, SWT.NONE);
        refresh = new CommandContributionItem(contributionItemParameter);
    }

    public void fillContextMenu(IMenuManager menu)
    {
        menu.add(refresh);
    }

}
