/*
 * See the NOTICE file distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 2.1 of
 * the License, or (at your option) any later version.
 *
 * This software is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this software; if not, write to the Free
 * Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
 * 02110-1301 USA, or see the FSF site: http://www.fsf.org.
 *
 */
package org.xwiki.eclipse.ui.editors;

/**
 * @version $Id: 5abb9ac1086d6a3ff77109d7958cee0fe97c5b61 $
 */
public class Constants
{
    public static final String LIST_BULLET_PATTERN =
    // Bulleted list
        "^\\*+ |"
        // Numbered list
            + "^1+\\. |"
            // Mixed list
            + "^1+\\*+\\. |"
            // Square list
            + "^- |"
            // Lowercase Alphabetical list
            + "^a\\. |"
            // Uppercase Roman list
            + "^A\\. |"
            // Lowercase Greek list
            + "^g\\. |"
            // Uppercase Greek list
            + "^G\\. |"
            // Hiragana list
            + "^h\\. |"
            // Hiragana Iroah list
            + "^H\\. |"
            // Katakana list
            + "^k\\. |"
            // Katakana Iroha list
            + "^K\\. |"
            // Hebrew list
            + "^j\\. ";

    public static final String DEFINITION_TERM_PATTERN = ":*; |:+ ";

    public static final String API_DATA_DIRECTORY = "xwikiApi";
}
